/** Die konstante Funktion */
public class Konstante extends Funktion {

  /** Diese Konstante wird immer zurueckgegeben */
  private double konstante;

  /** Konstruktor. Setzt die Konstante auf einen bestimmten Wert */
  public Konstante(double konstante) {
    this.konstante = konstante;
  }
  /** Werte die Funktion an einer gewissen Stelle aus */
  public double getFunktionswert(double x) {
    return konstante;
  }
  /** Berechne die Ableitung der Funktion (ist immer =0) */
  public Funktion getAbleitung() {
    return new Konstante(0);
  }
}
