/** Dieses Interface repraesentiert die Darstellung der
  * Uhrzeit gemaess einem gegebenen Uhrwerk.
  **/
public interface Anzeige {
  
  /** Nennt der Anzeige das Uhrwerk, das verwendet werden
    * soll.
    * @param uhr das zu verwendende Uhrwerk
    **/
  public void setUhrwerk(Uhrwerk uhr);
  
  /** Weist die Anzeige an, die aktuelle Uhrzeit aus dem
    * Uhrwerk auszulesen und darzustellen.
    **/
  public void zeigeZeit();
  
}
