/** Implementierungen dieses Interfaces koordinieren die
  * Interaktion zwischen dem Uhrwerk und der Zeitanzeige.
  * Waehrend die anderen Interfaces passive Klassen
  * darstellen, ist die Steuerung das aktive Glied zwischen
  * "Model" und "View"
  **/
public interface Steuerung {
  
  /** Diese Methode signalisiert der Steuerung, dass
    * sie mit ihrer Arbeit beginnen soll.
    **/
  public void aktivieren();
  
  /** Diese Methode signalisiert der Steuerung, dass
    * sie ihre Arbeit jetzt beenden kann.
    **/
  public void beenden();
  
}
