/** Diese Klasse symbolisiert einen Namen */
public class Name {
  /** Hier wird der Name gespeichert */
  private String name;

  /** Hier speichern wir unseren Observer ab */
  private Observer observer;

  /** Fuegt einen Observer hinzu */
  public void addObserver(Observer observer) {
    this.observer = observer;
  }
  /** Loescht einen Observer */
  public void deleteObserver(Observer observer) {
    this.observer = null;
  }
  /** Hiermit laesst sich der Name setzen */
  public void setName(String name) {
    this.name = name;
    if (observer != null)
      observer.update(this,name);
  }
  /** Hiermit laesst sich der Name lesen */
  public String getName() {
    return name;
  }
}
