import java.util.Observable;

/** Diese Klasse symbolisiert einen Namen */
public class Name extends Observable {

  /** Hier wird der Name gespeichert */
  private String name;

  /** Hiermit laesst sich der Name setzen */
  public void setName(String name) {
    this.name = name;
    setChanged();
    notifyObservers(name);
  }
  /** Hiermit laesst sich der Name lesen */
  public String getName() {
    return name;
  }
}
