/** Speichert zehn Namen achtet auf Aenderungen */
public class Observer implements java.util.Observer {

  /** Die zehn gespeicherten Namen */
  private Name[] namen;

  /** Konstruktor */
  public Observer() {
    namen = new Name[10];
    for (int i = 0; i < namen.length; i++) {
      namen[i] = new Name();
      namen[i].addObserver(this);
    }
  }
  /** Gib einen der zehn Namen zurueck */
  public Name getName(int i) {
    return namen[i];
  }
  /** Achte auf die Veraenderung eines der Namen */
  public void update(java.util.Observable n,Object o) {
    // Finde den Index, der zu dem Namen passt
    int index = 0;
    while (n != namen[index])
      index++;
    // Gib die Aenderung auf dem Bildschirm aus
    System.out.println("Name Nr. " + index +
                       " wurde geaendert.");
    System.out.println("Neuer Name: " + o);
    System.out.println();
  }
}
