/** Diese Klasse repraesentiert ein Produkt */
public class Produkt extends Funktion {

  /** Der Multiplikator */
  private Funktion a;

  /** Der Multiplikand */
  private Funktion b;

  /** Konstruktor */
  public Produkt(Funktion a, Funktion b)  {
    this.a = a;
    this.b = b;
  }
  /** Werte die Funktion an einer gewissen Stelle aus */
  public double getFunktionswert(double x) {
    return a.getFunktionswert(x) * b.getFunktionswert(x);
  }
  /** Berechne die Ableitung der Funktion */
  public Funktion getAbleitung() {
    Funktion teil1 = new Produkt(a.getAbleitung(),b);
    Funktion teil2 = new Produkt(a,b.getAbleitung());
    Funktion gesamt = new Summe(teil1,teil2);
    return gesamt;
  }
}
