/** Diese Klasse repraesentiert eine Summe */
public class Summe extends Funktion {

  /** Der erste Summand */
  private Funktion a;

  /** Der zweite Summand */
  private Funktion b;

  /** Konstruktor */
  public Summe(Funktion a, Funktion b) {
    this.a = a;
    this.b = b;
  }
  /** Werte die Funktion an einer gewissen Stelle aus */
  public double getFunktionswert(double x) {
    return a.getFunktionswert(x) + b.getFunktionswert(x);
  }
  /** Berechne die Ableitung der Funktion */
  public Funktion getAbleitung() {
    return new Summe(a.getAbleitung(), b.getAbleitung());
  }
}
